Get a specific mention by ID.
curl --request GET \
--url https://api.parallellabs.app/api/v0/mentions/{mention_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/mentions/{mention_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/mentions/{mention_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mention": {
"authorUrl": "<string>",
"authorUsername": "<string>",
"companyId": "<string>",
"content": "<string>",
"created_date": "<string>",
"foundAt": "<string>",
"id": "<string>",
"matchedKeywords": [
"<string>"
],
"metrics": {
"comments": 123,
"points": 123,
"score": 123,
"upvotes": 123
},
"monitorId": "<string>",
"platform": "<string>",
"postId": "<string>",
"postUrl": "<string>",
"postedAt": "<string>",
"relevanceScore": 123,
"sentiment": "<string>",
"status": "<string>",
"subreddit": "<string>",
"suggestedReplies": {},
"syncedToList": true,
"title": "<string>",
"updated_date": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Monitors
Get a specific mention by ID.
Returns full details for a mention including the post content, author information, engagement metrics, and any generated reply suggestions. Automatically marks ‘new’ mentions as ‘seen’ when retrieved.
GET
/
api
/
v0
/
mentions
/
{mention_id}
Get a specific mention by ID.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
Mention details
Single mention response
The mention object
Show child attributes
Show child attributes
⌘I

